# Recipients Recipients ## Creates a new recipient record that does not already exist. - [POST /recipients/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/createrecipient.md): This method will auto-generate an ID and create a new recipient. If an ID is specified for the recipient, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /recipients/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/listrecipientsbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /recipients/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified owner_type - [GET /recipients/{tenantId}/ownerId/{ownerType}/{contactOrOrgId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/listrecipientsbyownertypecontactororgid.md): Returns a list of records with the specified owner_type ## Searches for recipients using predefined parameters - [POST /recipients/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/searchforrecipients.md): Searches for recipients using predefined parameters ## Returns a recipient from the system by its ID. - [DELETE /recipients/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/deleterecipient.md): This method will delete a recipient with the specified ID. ## Returns a recipient from the system by its ID. - [GET /recipients/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/getrecipient.md): This method will look up a recipient by the specified ID and return it back. ## Partially updates a recipient with the specified ID. - [PATCH /recipients/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/patchrecipient.md): This method will patch an existing recipient with the specified ID, using the HTTP PATCH specification. ## Updates a recipient with the specified ID. - [PUT /recipients/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipients/updaterecipient.md): This method will update an existing recipient with the specified ID.